Bug 247274 - audio/darkice: Update to 1.4
Summary: audio/darkice: Update to 1.4
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Fernando Apesteguía
URL: https://github.com/rafael2k/darkice/b...
Keywords: buildisok, easy
Depends on:
Blocks:
 
Reported: 2020-06-15 11:50 UTC by Alex Hemp
Modified: 2020-07-09 15:42 UTC (History)
3 users (show)

See Also:


Attachments
proposed patch (3.30 KB, patch)
2020-06-15 11:50 UTC, Alex Hemp
no flags Details | Diff
patch without PORTVERSION (3.30 KB, patch)
2020-06-16 07:50 UTC, Alex Hemp
no flags Details | Diff
darkice-1.4.patch (3.05 KB, patch)
2020-06-17 16:21 UTC, Kenji Takefu
no flags Details | Diff
Update to 1.4 (4.45 KB, patch)
2020-06-17 16:29 UTC, Alex Hemp
no flags Details | Diff
updated patchfile (4.82 KB, patch)
2020-07-08 17:40 UTC, Alex Hemp
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Alex Hemp 2020-06-15 11:50:29 UTC
Created attachment 215579 [details]
proposed patch

- Update to version 1.4
- Change MASTER_SITES to github project page

New file:
files/patch-darkice.cfg

Remove file:
files/patch-src_FaacEncoder.cpp
Comment 1 Automation User 2020-06-15 12:08:25 UTC
Build info is available at https://gitlab.com/swills/freebsd-ports/pipelines/156311944
Comment 2 Fernando Apesteguía freebsd_committer 2020-06-16 06:20:58 UTC
Thanks for the patch Alex!

Since you are bumping PORTVERSION, PORTREVISION can be removed completely.

Would you update the patch?
Comment 3 Alex Hemp 2020-06-16 07:50:27 UTC
Created attachment 215601 [details]
patch without PORTVERSION
Comment 4 Alex Hemp 2020-06-16 07:52:25 UTC
(In reply to Fernando Apesteguía from comment #2)

Sorry, it was my first port updating experience.
Updated the patch
Comment 5 Kenji Takefu freebsd_committer 2020-06-17 16:21:57 UTC
Created attachment 215663 [details]
darkice-1.4.patch

portlint compliant.
Comment 6 Alex Hemp 2020-06-17 16:29:20 UTC
Created attachment 215664 [details]
Update to 1.4

Fixed portlint error
Comment 7 Fernando Apesteguía freebsd_committer 2020-06-18 06:10:48 UTC
(In reply to Alex Hemp from comment #6)
Good job!

Thanks!
Comment 8 Lewis Cook freebsd_triage 2020-06-18 14:10:44 UTC
^Triage: Added changelog to URL field
Comment 9 Alex Hemp 2020-06-25 12:10:37 UTC
Do I need to do something more to make this port changes being accepted?
Comment 10 Fernando Apesteguía freebsd_committer 2020-06-25 12:19:46 UTC
(In reply to Alex Hemp from comment #9)
Just a committer to pick this up :-)
Comment 11 Alex Hemp 2020-06-25 12:21:05 UTC
(In reply to Fernando Apesteguía from comment #10)

So I basically wait for one ))
Comment 12 Fernando Apesteguía freebsd_committer 2020-07-08 15:51:51 UTC
Hi there,

pkg-message.in states that the service can be started with:

%%ETCDIR%%/rc.d/darkice start

but that expands to /usr/local/etc/darkice/rc.d/darkice which is not correct. It should probably be:

%%PREFIX%%/etc/rc.d/darkice start which expands to (in a normal installation without prefix):

/usr/local/etc/rc.d/darkice

Would you mind checking?

Thanks!
Comment 13 Alex Hemp 2020-07-08 17:40:54 UTC
Created attachment 216326 [details]
updated patchfile

You're absolutely right.

I've updated patch file.

I'm sorry I missed that, but it was in previous version of port.
Comment 14 Fernando Apesteguía freebsd_committer 2020-07-09 11:53:34 UTC
(In reply to Alex Hemp from comment #13)
No worries,

The port builds fine, just one more thing. I copied the sample config to /etc/
and try to run darkice, but got this error:

root@12_1i386-default:~ # cp /usr/local/etc/darkice.cfg.sample /usr/local/etc/darkice.cfg
root@12_1i386-default:~ # darkice
DarkIce 1.4 live audio streamer, http://code.google.com/p/darkice/
Copyright (c) 2000-2007, Tyrell Hungary, http://tyrell.hu/
Copyright (c) 2008-2013, Akos Maroy and Rafael Diniz
This is free software, and you are welcome to redistribute it
under the terms of The GNU General Public License version 3 or
any later version.

Using config file: /etc/darkice.cfg
DarkIce: DarkIce.cpp:155: no section [general] in config [0]

I see that section in the file, would you mind checking this?
Comment 15 Alex Hemp 2020-07-09 12:40:14 UTC
It's okay, darkice needs config file to be supplied in command line, so startup script in %%ETCDIR%%/rc.d/darkice has predefined one 

> : ${darkice_flags="-c ${required_files}"}


try 
> service darkice onestart
Comment 16 Alex Hemp 2020-07-09 12:41:19 UTC
Sorry, of course "%%PREFIX%%/etc/rc.d/darkice" script
Comment 17 commit-hook freebsd_committer 2020-07-09 15:42:08 UTC
A commit references this bug:

Author: fernape
Date: Thu Jul  9 15:41:25 UTC 2020
New revision: 541756
URL: https://svnweb.freebsd.org/changeset/ports/541756

Log:
  audio/darkice: Update to 1.4

  ChangeLog: https://github.com/rafael2k/darkice/blob/master/darkice/trunk/ChangeLog

  PR:	247274
  Submitted by:	hempalex@gmail.com

Changes:
  head/audio/darkice/Makefile
  head/audio/darkice/distinfo
  head/audio/darkice/files/patch-darkice.cfg
  head/audio/darkice/files/patch-src_FaacEncoder.cpp
  head/audio/darkice/files/pkg-message.in
Comment 18 Fernando Apesteguía freebsd_committer 2020-07-09 15:42:44 UTC
Committed,

Thanks for your work!